- Main Page
- Classes
- Files

- Class List
- Class Members

# global_t Struct Reference

global acpi structure More...

`#include <libacpi.h>`

Collaboration diagram for global_t:

[legend]
List of all members.

## Public Attributes
int | batt_count
int | thermal_count
int | fan_count
int | temperature
adapter_t | adapt

## Detailed Description

global acpi structure

Definition at line 174 of file libacpi.h.

## Member Data Documentation

int global_t::batt_count

number of found batteries

Definition at line 175 of file libacpi.h.

Referenced by init_acpi_batt().

int global_t::thermal_count

number of found thermal zones

Definition at line 176 of file libacpi.h.

Referenced by init_acpi_thermal(), and read_acpi_zone().

int global_t::fan_count

number of found fans

Definition at line 177 of file libacpi.h.

Referenced by init_acpi_fan().

int global_t::temperature

system temperature if we only have on thermal zone

Definition at line 178 of file libacpi.h.

Referenced by read_acpi_zone().

adapter_t global_t::adapt

ac adapter

Definition at line 179 of file libacpi.h.

Referenced by init_acpi_acadapt(), and read_acpi_acstate().

The documentation for this struct was generated from the following file:

- libacpi.h